package com.jjt.rziot;

/**
 * Test$
 *
 * @author wukai
 * @date 2025/5/24 03:19
 */
public class Test {
    public static void main(String[] args) {
        for (String machineName : machineNames) {
            String[] tmp = machineName.split("_");
            String line = tmp[1].replace("线", "");
            String name = tmp[0];
            String ws = tmp[2];
            String cj = "Forward";
            if (ws.indexOf("后整") != -1) {
                cj = "Back";
            }
            String no = tmp[3].replace("号", "");

            String path = "root.tl.suxi.dingxingji6jLine" + line + cj + "No" + no + "_PLC1";
            System.err.println(machineName + "\t" + path);
        }
    }


    static String[] machineNames = {
            "6节定型机_8线_后整_1号",
            "6节定型机_7线_后整_1号",
            "6节定型机_6线_后整_1号",
            "6节定型机_5线_后整_1号",
            "6节定型机_4线_后整_1号",
            "6节定型机_3线_后整_1号"
    };
}
